Retrieve the meta data of a file upload by a given id.
Get File Upload
get
/api/file-uploads/{fileUploadId} Request
Path Parameters
fileUploadIdstringrequiredPrimary identifier of the file upload to fetch.
Response
Successful operation.
Body application/json
idstringrequiredId of the file.
purposestringrequiredAllowed values:kyc-doc-uploadThe purpose the file is related to.
livenessstringrequiredAllowed values:livetestThe resource liveness mode.
accountIdstringrequiredId of the account owning the file upload.
fileNamestringrequiredName of file.
fileSizenumberrequiredSize of the file in bytes.
mimeTypestringrequiredThe type of file.
statusstringrequiredAllowed values:createddeletingdeletedThe current status of the file upload.
expiresAtstringDate when the file will be considered expired and subsequently deleted.
User is not allowed to perform the action with the reason stated in the errorCode.
FORBIDDEN Insufficient permissions to perform the action.
Body application/json
statusCodeintegerrequiredstatusNamestringrequirederrorCodestringrequiredreasonstring